import { r as registerInstance, h } from './index-07845439.js';

const Urlencoded = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    return this.data
      .split("&")
      .map(p => p.split("="))
      .map(tuple => h("smoothly-tuple", { tuple: tuple }));
  }
};

export { Urlencoded as smoothly_urlencoded };
